import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import TestRootView from '@/views/TestRootView.vue'

declare module 'vue-router' {
  interface RouteMeta {
    layout?: 'Blank' | 'Default'
  }
}

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      component: HomeView,
      children: [
        {
          path: '/',
          name: 'items',
          component: TestRootView,
        },
      ],
    },
  ],
})

export default router
